当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 7 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : [问题]ubuntu下怎么用Dr.COM,Dr.COM问题
帖子发表于 : 2007-11-10 19:22 

注册: 2007-11-10 19:16
帖子: 2
送出感谢: 0 次
接收感谢: 0 次
我是学校内网用户,在windows环境下人人都装要Dr.COM登录端才能上网,我最近安装了ubuntu7.10,但是不能上网,请大家给一个解决方法. 谢谢了


页首
 用户资料  
 
2 楼 
 文章标题 :
帖子发表于 : 2007-11-10 23:04 

注册: 2006-10-07 16:40
帖子: 75
地址: 重庆市
送出感谢: 0 次
接收感谢: 0 次
同求


页首
 用户资料  
 
3 楼 
 文章标题 :
帖子发表于 : 2007-11-12 0:14 

注册: 2007-10-24 21:25
帖子: 29
送出感谢: 0 次
接收感谢: 0 次
网上面这种文章满天飞,LZ要学会用搜索引擎加自己摸索啥


1.download file directly from http://nchc.dl.sourceforge.net/sourcefo ... 3.7.tar.gz, extract it under the home folder

2.Install build essential
1)Insert ur live cd into the drive
2)$ sudo apt-get install build-essential

3.Install Dr.Com
start the terminal
cd to ur drcom folder,then
$ make
$ sudo make install
$ sudo gedit /etc/drcom.conf
Done!

Note: make sure ur settings correct, or u'll get failure

LZ你要谢谢我。嘿嘿。想当初我也被这个问题折磨过

PS记得看看drcom里面的read me


页首
 用户资料  
 
4 楼 
 文章标题 :
帖子发表于 : 2007-11-12 23:07 

注册: 2006-10-07 16:40
帖子: 75
地址: 重庆市
送出感谢: 0 次
接收感谢: 0 次
楼上的同学是802.1X协议的吗?


页首
 用户资料  
 
5 楼 
 文章标题 :
帖子发表于 : 2007-12-02 13:09 
头像

注册: 2007-11-08 21:23
帖子: 1289
地址: 中国
送出感谢: 0 次
接收感谢: 0 次
hscku 写道:
网上面这种文章满天飞,LZ要学会用搜索引擎加自己摸索啥


1.download file directly from http://nchc.dl.sourceforge.net/sourcefo ... 3.7.tar.gz, extract it under the home folder

2.Install build essential
1)Insert ur live cd into the drive
2)$ sudo apt-get install build-essential

3.Install Dr.Com
start the terminal
cd to ur drcom folder,then
$ make
$ sudo make install
$ sudo gedit /etc/drcom.conf
Done!

Note: make sure ur settings correct, or u'll get failure

LZ你要谢谢我。嘿嘿。想当初我也被这个问题折磨过

PS记得看看drcom里面的read me


不是我们新手不愿意学习,是学习了之后发现不行,几个办法都试过了,就是不行。你只看到有很多这样的文章,可你试过这些方法都可行吗?你看看这些方法后的留言,有几个成功的?


页首
 用户资料  
 
6 楼 
 文章标题 :
帖子发表于 : 2007-12-02 13:30 
头像

注册: 2006-12-27 17:26
帖子: 65
送出感谢: 0 次
接收感谢: 0 次
哈哈,想当初我为了这个弄得多么痛苦,后来还是解决了。

引用:
在ubuntu7.04下成功安装Dr.com上网客户端

1、安装 build-essential:

sudo apt-get install build-essential

或者用“新立得软件包管理器”安装

2、安装libssl-dev,它包括了drcom需要用到的用于认证加密的md5函数,还包括了其他好多的用于加密的头文件,在“新立得软件包管理器”中搜索“libssl-dev”即可。

3、安装gcc-3.4,在“新立得软件包管理器”中搜索安装即可。

4、安装对应内核版本的头文件,在“新立得软件包管理器”中搜索"linux-headers"就行了,至于要选择哪一个,按如下方法可得到:
cat /proc/version ,就会得到类似这样的信息Linux version 2.6.20-16-generic (root@terranova) (gcc version 4.1.2 (Ubuntu 4.1.2-0ubuntu4)) #2 SMP Sun Sep 23 19:50:39 UTC 2007,其中2.6.20-16-generic就是内核版本,这里一定要对应,不然以后的编译会出错。


5、分别安装libdrcom、drcomsuite、drcom-1.3.7,到http://sourceforge.net/project/showfiles.php?group_id=128089下载。


1) 安装libdrcom:

#cd libdrcom-0.0-20050423-2/

#sudo make
#sudo make install


2) 安装drcomsuite:

安装之前要确定已经安装了Linux内核的头文件,查看方法如下:

#ls /usr/src
可以看到 linux-headers-2.6.20-15 linux-headers-2.6.20-16
linux-headers-2.6.20-15-generic linux-headers-2.6.20-16-generic

等等目录。版本号一定要对应,要然可能导致后面的安装失败,或者是drcom程序崩溃。

#cd drcomsuite-0.1.12/


#sudo make
如果在make过程中出现以下错误:

/……/Drcom/drcomsuite-0.1.12/module/Linux/2.6.x/proto.c: 在函数 ‘init_proto’ 中:
/……/Drcom/drcomsuite-0.1.12/module/Linux/2.6.x/proto.c:306: 错误: 向只读变量 ‘inet_stream_ops’ 赋值
/……/Drcom/drcomsuite-0.1.12/module/Linux/2.6.x/proto.c:309: 错误: 向只读变量 ‘inet_dgram_ops’ 赋值
/……/Drcom/drcomsuite-0.1.12/module/Linux/2.6.x/proto.c: 在函数 ‘cleanup_proto’ 中:
/……/Drcom/drcomsuite-0.1.12/module/Linux/2.6.x/proto.c:322: 错误: 向只读变量 ‘inet_dgram_ops’ 赋值
/……/Drcom/drcomsuite-0.1.12/module/Linux/2.6.x/proto.c:323: 错误: 向只读变量 ‘inet_stream_ops’ 赋值

说明了你的内核头文件中‘inet_stream_ops’和‘inet_dgram_ops’声明是常量,要想进行下去,必须对其进行修改:

#sudo gedit /usr/src/你的内核头文件目录/include/net/inet_common.h

找到以下两句,然后删除“const”,保存再重新编译

extern const struct proto_ops inet_stream_ops;
extern const struct proto_ops inet_dgram_ops;

#sudo make

#sudo make install

3) 配置drcom.conf文件:
#sudo mv /etc/drcom.conf.new /etc/drcom.conf
#sudo gedit /etc/drcom.conf

看到以下内容

# Username and password
# A blank password is considered valid.

username=帐号名
password=帐号密码

# Interface information
# mac is the MAC address of the nic we use to connect
# to the server.
# Example:
# mac=1a:2b:3c:4d:5e:6f
# If left blank it will default to 00:00:00:00:00:00

mac=网卡物理地址,可以在终端输入“ifconfig“查看

# nicn is the nth nic. This is the real data that's
# passed to the server, and thus I suggest you only
# fill in the first nic.
# Example:
# nic0=192.168.0.1
# nic1=
# nic2=
# nic3=
# Only nic0 is mandatory; the others should normally
# be left blank.

nic0=填入IP地址

nic1=
nic2=
nic3=
# dnsp(rimary) and dnss(econdary).

dnsp=填入主DNS
dnss=填入辅DNS

# dhcp server address. Windows XP uses 255.255.255.255
# and Windows 2000 uses 0.0.0.0
# If left blank it defaults to 255.255.255.255
dhcp=
# Connection information
# If the network supports it, and serverip is set
# to 1.1.1.1, then the gateway will help us find
# the real server (beex said this was the reason
# why we had to upgrade, but I don't see the
# practical reason why)
# All are optional, if left blank, then:
# + hostip defaults to nic0
# + servip defaults to 1.1.1.1
# + hostport defaults to 61440 (0xf000)
# + servport defaults to 61440 (0xf000)
# Note: hostip can be given one of the special values
# eth0, eth1, eth2, ... eth9 (I don't think
# regular users would need eth10 Razz), which
# corresponds to the inet address of the
# interface.
hostip=

servip=填入你打开浏览器被自动引导到提示你登陆的网址,其他的都留空,保持默认値

hostport=
servport=
# Miscellaneous Machine Information
# We don't need to be honest about these.
# For example, Windows XP has a version number
# of 5.1 and a build number of 2600.
# All are optional, if left blank, then:
# + hostname defaults to "localhost"
# + winver defaults to 5.1
# + winbuild defaults to 2600
# + servicepack defaults to "Service Pack 2"
hostname=
winver=
winbuild=
servicepack=

4)安装drcom-1.3.7:

$cd drcom-1.3.5

$sudo make

$sudo make install

$sudo gedit /etc/drcom.conf

再填一次:

username=帐号名
password=帐号密码

mac=网卡物理地址

nic0=IP地址
nic1=
nic2=
nic3=
dnsp=主 DNS
dnss=辅DNS
dhcp=

hostip=
servip=打开浏览器被自动引导提示你登陆的那个网址

hostport=
servport=

hostname=
winver=
winbuild=
servicepack=
保存退出。




登录:

$sudo drcomd

$sudo drcomc login

出现以下信息Login succeeded,登录成功。
要上内网,注销即可
$ sudo drcomc logout
出现以下信息Logout succeeded ,注销成功,可以登录内网了。
[/b]


页首
 用户资料  
 
7 楼 
 文章标题 :
帖子发表于 : 2008-03-14 12:26 

注册: 2008-03-07 16:25
帖子: 8
送出感谢: 0 次
接收感谢: 0 次
我用的是kubuntu7.10的,libssl-dev怎么安装呀,新立得软件包管理器里面根本就没有这个,在网上下了一个根本就没办法用的.


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 7 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 3 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译